{
  "name": "myproject",
  "version": "1.0.0",
  "description": "This project was bootstrapped with Fastify-CLI.",
  "main": "dist/main.js",
  "scripts": {
    "prod": "npm run build && npm run start",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "build:swc": "nest build --builder swc",
    "migrate": "node -e \"console.error('\\n[禁止] 数据库表结构由 DBA 统一管理，请勿执行 migrate 命令\\n'); process.exit(1)\"",
    "lint:ts": "tsc --noEmit --skipLibCheck",
    "lint:prettier": "prettier --write \"src/**/*.{js,json,ts,tsx,cjs,mjs,cts,mts,css,scss}\"",
    "lint:eslint": "eslint \"src/**/*.{js,ts,tsx}\" --fix",
    "安装": "pnpm install",
    "更新": "ncu -u",
    "删除": "rimraf pnpm-lock.yaml && rimraf package-lock.json && rimraf yarn.lock && rimraf .yarn && rimraf node_modules"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@fastify/static": "^9.0.0",
    "@mikro-orm/core": "^7.0.1",
    "@mikro-orm/decorators": "^7.0.1",
    "@mikro-orm/mysql": "^7.0.1",
    "@mikro-orm/nestjs": "^7.0.1",
    "@nestjs/common": "^11.1.16",
    "@nestjs/config": "^4.0.3",
    "@nestjs/core": "^11.1.16",
    "@nestjs/platform-fastify": "^11.1.16",
    "@nestjs/platform-socket.io": "^11.1.16",
    "@nestjs/swagger": "^11.2.6",
    "@nestjs/websockets": "^11.1.16",
    "address": "^2.0.3",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.15.1",
    "crc-32": "^1.2.2",
    "cuint": "0.2.2",
    "dayjs": "^1.11.20",
    "dotenv": "^17.3.1",
    "eventemitter3": "^5.0.4",
    "fastify": "^5.8.2",
    "fastify-plugin": "^5.1.0",
    "ioredis": "^5.10.0",
    "js-yaml": "^4.1.1",
    "nacos": "^2.6.1",
    "pino": "^10.3.1",
    "pino-pretty": "^13.1.3",
    "pino-roll": "^4.0.0",
    "socket.io": "^4.8.3"
  },
  "devDependencies": {
    "@eslint/js": "^10.0.1",
    "@nestjs/cli": "^11.0.16",
    "@swc/core": "^1.15.18",
    "@types/cuint": "^0.2.4",
    "@types/ioredis": "^5.0.0",
    "@types/js-yaml": "^4.0.9",
    "@types/md5": "^2.3.6",
    "@types/node": "^25.5.0",
    "@types/socket.io": "^3.0.2",
    "eslint": "^10.0.3",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-jsdoc": "^62.8.0",
    "globals": "^17.4.0",
    "prettier": "^3.8.1",
    "ts-loader": "^9.5.4",
    "tsx": "^4.21.0",
    "typescript": "^5.9.3",
    "typescript-eslint": "^8.57.0",
    "webpack": "^5.105.4",
    "webpack-cli": "^7.0.0"
  }
}
